// LoginWatch Client for GlobalStat
//
// Copyright  1997 Olivier Wittenberg

class GClient;

//-------------------------------------------

enum client_type {
	LW_INVALID,
	LW_FTP,
	LW_TELNET
};

//-------------------------------------------

struct ClientItem
{
	// Constructor and destructor
	ClientItem ()
	{}
	~ClientItem ()
	{ if (client)	delete client; }

	// Data
	GClient		*client;
	team_id		 watched_team;
	thread_id	 watched_thread;
	double		 last_user_time;

	bool		 still_exists;
};

//-------------------------------------------

class LWApp : public BApplication
{
	BList *clients;

public:
	LWApp ();
	~LWApp ();

	void Pulse ();
	void AboutRequested ();
};